ApiCmServer (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCmServer

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCmServer

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCmServer
      extends Object

  This is the model for CM server information from v41. The class models the host environment that CM server is installed. Each CM server instance has an entry of CmServer entity and updates it periodically.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCmServer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCmServer` | `cmServerId(String cmServerId)`
    `ApiCmServer` | `createdTime(String createdTime)`
    `boolean` | `equals(Object o)`
    `String` | `getCmServerId()` The CM server ID.
    `String` | `getCreatedTime()` The created time.
    `String` | `getHaPriority()` HA Priority for active passive mode.
    `String` | `getIpAddress()` The IP address.
    `String` | `getIsAlive()` Is the cm server running.
    `String` | `getLastUpdatedTime()` The last updated time.
    `String` | `getName()` The CM server hostname.
    `ApiCmServer` | `haPriority(String haPriority)`
    `int` | `hashCode()`
    `ApiCmServer` | `ipAddress(String ipAddress)`
    `ApiCmServer` | `isAlive(String isAlive)`
    `ApiCmServer` | `lastUpdatedTime(String lastUpdatedTime)`
    `ApiCmServer` | `name(String name)`
    `void` | `setCmServerId(String cmServerId)`
    `void` | `setCreatedTime(String createdTime)`
    `void` | `setHaPriority(String haPriority)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setIsAlive(String isAlive)`
    `void` | `setLastUpdatedTime(String lastUpdatedTime)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCmServer

          public ApiCmServer()

  - ### Method Detail

    - #### cmServerId

          public ApiCmServer cmServerId(String cmServerId)

    - #### getCmServerId

          public String getCmServerId()

      The CM server ID.
      Returns:
        cmServerId

    - #### setCmServerId

          public void setCmServerId(String cmServerId)

    - #### name

          public ApiCmServer name(String name)

    - #### getName

          public String getName()

      The CM server hostname.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### ipAddress

          public ApiCmServer ipAddress(String ipAddress)

    - #### getIpAddress

          public String getIpAddress()

      The IP address.
      Returns:
        ipAddress

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### createdTime

          public ApiCmServer createdTime(String createdTime)

    - #### getCreatedTime

          public String getCreatedTime()

      The created time.
      Returns:
        createdTime

    - #### setCreatedTime

          public void setCreatedTime(String createdTime)

    - #### lastUpdatedTime

          public ApiCmServer lastUpdatedTime(String lastUpdatedTime)

    - #### getLastUpdatedTime

          public String getLastUpdatedTime()

      The last updated time.
      Returns:
        lastUpdatedTime

    - #### setLastUpdatedTime

          public void setLastUpdatedTime(String lastUpdatedTime)

    - #### haPriority

          public ApiCmServer haPriority(String haPriority)

    - #### getHaPriority

          public String getHaPriority()

      HA Priority for active passive mode.
      Returns:
        haPriority

    - #### setHaPriority

          public void setHaPriority(String haPriority)

    - #### isAlive

          public ApiCmServer isAlive(String isAlive)

    - #### getIsAlive

          public String getIsAlive()

      Is the cm server running.
      Returns:
        isAlive

    - #### setIsAlive

          public void setIsAlive(String isAlive)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.